#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "character.h"

#include <QMainWindow>

QT_BEGIN_NAMESPACE
namespace Ui {
class MainWindow;
}
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

    void loadImage(QString fileName);
    void createNewCharacter(Character* p);
    void loadNewCharacter();
    void exportJson();
    void exportJsonAs();

private slots:
    void on_actionEditer_triggered();
    void on_actionBlocNote_triggered();
    void on_actionOuvrir_une_fiche_triggered();
    void on_actionNouvelle_fiche_triggered();
    void on_actionSauvegarder_triggered();

private:
    Ui::MainWindow *ui;

    bool edition = false;
    bool notePad = false;
    QString currentFile;
    QList<Character*> characters;
    Character* currentCharacter;
};
#endif // MAINWINDOW_H
